Author: justi9
Date: 2008-11-05 16:47:20 -0500 (Wed, 05 Nov 2008)
New Revision: 2751
Modified:
mgmt/trunk/cumin/bin/cumin-database-init
Log:
Change condition for create-schema
Modified: mgmt/trunk/cumin/bin/cumin-database-init
===================================================================
--- mgmt/trunk/cumin/bin/cumin-database-init 2008-11-05 21:37:48 UTC (rev 2750)
+++ mgmt/trunk/cumin/bin/cumin-database-init 2008-11-05 21:47:20 UTC (rev 2751)
@@ -11,10 +11,6 @@
su - postgres -c "createuser --superuser cumin 2> /dev/null || :"
su - postgres -c "createdb --owner=cumin cumin 2> /dev/null || :"
-cumin-admin check-schema | grep -e '^OK '
-
-if [[ "$?" == "0" ]]; then
- echo "Not creating schema; it already exists"
-else
+cumin-admin check-schema | grep -e '^OK ' || {
cumin-admin create-schema
-fi
+}